gr::gfdm::gfdm_kernel_utils Class Reference

<+description+> More...

`#include <gfdm_kernel_utils.h>`

Inheritance diagram for gr::gfdm::gfdm_kernel_utils:
[legend]

## Public Types

typedef std::complex< float > | gfdm_complex

## Public Member Functions

| gfdm_kernel_utils ()
| ~gfdm_kernel_utils ()
fftwf_plan | initialize_fft (gfdm_complex *out_buf, gfdm_complex *in_buf, const int fft_size, bool forward)
float | calculate_signal_energy (const gfdm_complex *p_in, const int ninput_size)

## Detailed Description

<+description+>

## Member Typedef Documentation

## gfdm_complex

typedef std::complex<float> gr::gfdm::gfdm_kernel_utils::gfdm_complex

## Constructor & Destructor Documentation

## gfdm_kernel_utils()

gr::gfdm::gfdm_kernel_utils::gfdm_kernel_utils | ( |  | ) |

## ~gfdm_kernel_utils()

gr::gfdm::gfdm_kernel_utils::~gfdm_kernel_utils | ( |  | ) |

## Member Function Documentation

## calculate_signal_energy()

float gr::gfdm::gfdm_kernel_utils::calculate_signal_energy | ( | const gfdm_complex * | p_in,
|  | const int | ninput_size
| ) |  |

## initialize_fft()

fftwf_plan gr::gfdm::gfdm_kernel_utils::initialize_fft | ( | gfdm_complex * | out_buf,
|  | gfdm_complex * | in_buf,
|  | const int | fft_size,
|  | bool | forward
| ) |  |

The documentation for this class was generated from the following file:

- gfdm_kernel_utils.h